<?php

namespace Drupal\config_enforce_devel\FormHandler;

use Drupal\config_enforce\FormHandler\AbstractConfigEnforceFormHandler;
use Drupal\config_enforce_devel\Form\ConfigEnforceDevelForm;

/**
 * Attach Config Enforce Devel behaviour to config forms.
 */
class ConfigEnforceDevelFormHandler extends AbstractConfigEnforceFormHandler {

  /**
   * Method to call from implementations of hook_alter().
   */
  public function alter() {
    // Don't alter our embedded config form, as that'll lead to an infinite loop.
    if ($this->getFormId() == ConfigEnforceDevelForm::FORM_ID) return;

    // Only operate on config forms.
    if (!$this->isAConfigForm()) return;

    $this->addEnforceForm('Drupal\config_enforce_devel\Form\ConfigEnforceDevelForm');
  }

}
